---
lang: en
title: 'API docs: rest.findrouteprovider.action'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.findrouteprovider.action.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [FindRouteProvider](./rest.findrouteprovider.md) &gt; [action](./rest.findrouteprovider.action.md)

## FindRouteProvider.action() method

<b>Signature:</b>

```typescript
action(request: Request): ResolvedRoute;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  request | <code>Request</code> |  |

<b>Returns:</b>

`ResolvedRoute`


